## ros-melodic-eus-qpoases 0.1.16

=== debian/changelog ===
ros-melodic-eus-qpoases (0.1.16-1bionic) bionic; urgency=high

  * https://projects.coin-or.org have mved to github (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * add optimization motion generation (#700 <https://github.com/jsk-ros-pkg/jsk_control/issues/700>)
    
      * [eus_qpoases/src/eus_qpoases.cpp] change nWSR for large size QP problem: 1000 -> 10000
    
  * Contributors: Kei Okada, Masaki Murooka

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 26 Oct 2022 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.15-1bionic) bionic; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 15 May 2018 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.14-1bionic) bionic; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 14 Jan 2018 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.13-1bionic) bionic; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2017 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.12-1bionic) bionic; urgency=high

  * mv .gitignore to .placeholder
  * Contributors: Kei Okada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.11-1bionic) bionic; urgency=high

  * Set include path of qpoases in eus_qpoases
  * Contributors: Kei Okada, Kentaro Wada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.10-1bionic) bionic; urgency=high

  * eus_qpoases : add missing install directory
  * [euslisp/test-eus-qpoases.l,test/eus-qpoases.test.l] Add test for sqp/slp
  * [eus_qpoases.cpp, eus-qpoases.l] Add qp with hotstart and sqp with hotstart
  * [eus_qpoases/src/eus_qpoases.cpp] Use common function for qp and lp.
  * Contributors: Kei Okada, Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.9-1bionic) bionic; urgency=high

  * [eus_qpoases/euslisp/eus-qpoases.l] Use concatenate matrix functions in irteus and fix checking of ineq and eq existence
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 22 Mar 2016 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.8-1bionic) bionic; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.7-1bionic) bionic; urgency=high

  * [eus_qpoases] use ExternalProject instead of mk
  * [eus_qpoases/euslisp/eus-qpoases.l] Check equality usage and use state-dim and inequality-dim.
  * [../../eus_qp/euslisp/contact-optimization.l,test-eus-qpoases.l,eus-qpoases.l] Rename solve-qpoases => solve-qpoases-qp and remain solve-qpoases for backward compatibility with warning.
  * [../src/eus_qpoases.cpp,../test/eus-qpoases.test.l,test-eus-qpoases.l,eus-qpoases.l] Add LP solver using qpOASES and add samples and tests.
  * [../src/eus_qpoases.cpp,../test/eus-qpoases.test.l,test-eus-qpoases.l,eus-qpoases.l] Add LP solver using qpOASES and add samples and tests.
  * [eus_qpoases/euslisp/eus-qpoases.l] Add argument matrix size check
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Add comments for qp functions
  * Add demo-eus-qpOASES4 for force infeasible problem.
  * Print debug message by default. If you want to disable it, :debug nil
  * Add debug print check
  * Added install rules for qpoases headers and libs to catkin cmake-file.
  * require rostest in cmake files
  * add rostest declaration
  * intial commit of test dir and test files, check euslisp/test-eus-qpoases.l all functions, and if there are at least one failure, then test would be failed
  * test functions return test results
  * [eus_qpoases] add dependencies to linqpOASES
  * Contributors: Yuki Furuta, Georg Bartels, Ryohei Ueda, Shunichi Nozawa, Shintaro Noda

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sat, 31 Oct 2015 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.6-1bionic) bionic; urgency=high

  * [eus_qpoases] Ignore bin directory
  * [eus_qpoases] Support ccache

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.5-1bionic) bionic; urgency=high

  * Get qpOASES status from argument
  * Update patch for qpoases shared object (https://github.com/jsk-ros-pkg/jsk_control/issues/180)
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.4-1bionic) bionic; urgency=high

  * trust server ssl

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 20 Oct 2014 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.3-1bionic) bionic; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.2-1bionic) bionic; urgency=high

  * add run_depend to euslisp
  * add subversion to build_depend
  * Contributors: Kei Okada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 07 Sep 2014 15:00:00 -0000

ros-melodic-eus-qpoases (0.1.1-1bionic) bionic; urgency=high

  * Add euslisp package for qpOASES, which is a qp solver
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 15:00:00 -0000
